#!/usr/bin/python
# coding=utf-8
import zipfile
import shutil
import os

# Put this script in the same directory with your output apk file and channel.txt.
# You can update the channel.txt and then run the script,
# then you will get the output files in the same directory.

src_empty_file = 'empty.txt'
f = open(src_empty_file, 'w')
f.close()

src_apks = []
for file in os.listdir('.'):
    if os.path.isfile(file):
        extension = os.path.splitext(file)[1][1:]
        if extension in 'apk':
            src_apks.append(file)

channel_file = 'channel.txt'
f = open(channel_file)
lines = f.readlines()
f.close()

for src_apk in src_apks:
    src_apk_file_name = os.path.basename(src_apk)
    temp_list = os.path.splitext(src_apk_file_name)
    src_apk_name = temp_list[0]
    src_apk_extension = temp_list[1]
    
    output_dir = 'output_' + src_apk_name + '/'
    if not os.path.exists(output_dir):
        os.mkdir(output_dir)
        
    for line in lines:
        target_channel = line.strip()
        target_apk = output_dir + src_apk_name + "-" + target_channel + src_apk_extension
        shutil.copy(src_apk,  target_apk)
        zipped = zipfile.ZipFile(target_apk, 'a', zipfile.ZIP_DEFLATED)
        empty_channel_file = "META-INF/channel_{channel}".format(channel = target_channel)
        zipped.write(src_empty_file, empty_channel_file)
        zipped.close()
