// Copyright (C) Microsoft. All rights reserved.
attribute vec3 vPosition0;
attribute vec3 vNormal;
attribute vec4 vColor;
uniform mat4 View;
uniform mat4 Proj;
uniform vec3 Camera;
uniform float Near;
uniform float Far;
uniform vec2 ViewSize;
uniform mat4 ViewProj;
uniform mat4 World;
uniform vec3 LightDirection;
uniform float AnimationProgress;
uniform vec3 ModelNormal;
uniform float AnimationHeight;
varying vec4 vBuildingColor;
void main()
{
vec3 pos=vPosition0-(1.0-AnimationProgress)*AnimationHeight*ModelNormal;
gl_Position=((Proj*View)*World)*vec4(pos,1);
float cosAngle=dot(vNormal,LightDirection)*0.5+0.5;
vec4 colorInShadow=vec4(0.5*vColor.rgb/256.0,1);
vBuildingColor=mix(colorInShadow,vColor/256.0,cosAngle);
}
