// Copyright (C) Microsoft. All rights reserved.
attribute vec3 vPosition0;
attribute float vColor;
uniform mat4 View;
uniform mat4 Proj;
uniform vec3 Camera;
uniform float Near;
uniform float Far;
uniform vec2 ViewSize;
uniform mat4 ViewProj;
uniform mat4 World;
uniform vec3 GlobalOffset;
uniform vec4 FillColor;
uniform vec4 StrokeColor;
uniform vec3 LookAt;
uniform float CircleRadius;
varying vec3 vPosCopy;
varying float vDistance;
varying float vRingWidthRatio;
varying vec2 vOffset;
#define BORDER_WIDTH 1.0
void main()
{
vec4 position=World*vec4(vPosition0,1.0);
float signOf=sign(dot(position.xyz,LookAt));
vDistance=signOf*length(Camera-position.xyz)/Far;
position=ViewProj*position;
vPosCopy=position.xyw;
vRingWidthRatio=BORDER_WIDTH/CircleRadius;
int index=int(abs(vColor));
if(index==0)
{
vOffset=vec2(-1.0,1.0);
}
else if(index==1)
{
vOffset=vec2(1.0,1.0);
}
else if(index==2)
{
vOffset=vec2(-1.0,-1.0);
}
else if(index==3)
{
vOffset=vec2(1.0,-1.0);
}
gl_Position=position;
}
