package com.microsoft.jars.VoiceSearch;

/**
 * Describes an additional events that {@link VoiceSearchRequest} can fire in
 * order to notify other parties that something has happened in voice search.
 */
public interface IVoiceSearchEvents {
	/**
	 * Audio upload started.
	 */
	void onAudioUploadBegin();

	/**
	 * Audio upload completed.
	 */
	void onAudioUploadEnd();

	/**
	 * Results processing started.
	 */
	void onReadResultsBegin();

	/**
	 * Results processing completed.
	 */
	void onReadResultsEnd();
}
